<?php   
class ControllerCommonMegamenu extends Controller {
	
	private $add_ids = 0;
	private $add_ul_class = 0;
	
	protected function index() {
	
	
	
		$this->load->model('tool/seo_url');
		$this->load->model('catalog/category');

		$output ='<ul id="mm_topnav">'.$this->getMMCategories(0) . $this->getInformation() . '</ul>';

		$this->id = 'megamenu';

		$this->output= $output;
	}

	
	protected function getInformation() {
	$contacts ='';
	$this->language->load('module/information');
		
		$this->load->model('catalog/information');
		$this->load->model('tool/seo_url');
		
		$this->data['informations'] = array();
	
		foreach ($this->model_catalog_information->getInformations() as $result) {
			$contacts .= '<li><a href="' . $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=information/information&information_id=' . $result['information_id'])  . '">' .$result['title']. '</a></li>';
		}

		$contacts .='
			<li><a href="' . HTTP_SERVER . 'index.php?route=information/contact'  . '">' .$this->language->get('text_contact'). '</a></li>
			<li><a href="' . HTTP_SERVER . 'index.php?route=information/sitemap'  . '">' .$this->language->get('text_sitemap'). '</a></li>
		';
		
		return '<li><a class="mm_root" href="#information">'.$this->language->get('heading_title').'</a>
			<div class="mm_sub">
				<ul>'.$contacts.'</ul>
			</div>
		</li>'
		;
	}
	
	protected function getMMCategories($parent_id) {

		$parents = $this->model_catalog_category->getCategories($parent_id);
		
		if ($parents) {
		$link = ''; 
		$id_sub ='';
		$id ='';
		foreach ($parents as $parent) {	
		
			$has_childs = '';
			
			$child = $this->lvl2($parent['category_id']);
			
			if($child) {
				$has_childs = ' class="mm_root" ';
			}
			
			if ($this->add_ids) {
					$id_sub = ' id="mm_sub-'.$parent['category_id'].'"';
					$id = ' id="mm_s1-'.$parent['category_id'].'"';
			}
			
			$link .= '<li'.$id.'><a '.$has_childs.'href="' . $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=product/category&amp;path=' . $parent['category_id'])  . '">' .  $parent['name'] . '</a>';
					if ($child){ $link .= '<div'.$id_sub.' class="mm_sub">'.$child.'</div>'; }
					$link .= '</li>';
			}
		}
		return $link;
	}		

	private function lvl2 ($parent_id) {
		
		$id ='';
		$class='';
		$l1 = '';
		$l2 = '';
		$c = 1;
		
		$results = $this->model_catalog_category->getCategories($parent_id);
		
		if ($results) {
			foreach ($results as $result) {	
				$new_path = $parent_id ."_". $result['category_id'];
				
				$lvl3 = $this->lvl3($result['category_id'],  $new_path);

				if ($this->add_ids) {
					$id = ' id="mm_s2-'.$result['category_id'].'"';
				}


				if ($lvl3) {
				
					if ($this->add_ul_class) {
						$class = ' class="mm_u2_'.$c.'"';
					}
					$l2 .= '<ul'.$class.'><li'.$id.'><h2><a href="' . $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=product/category&amp;path=' . $new_path)  . '">' .  $result['name'] . '</a></h2></li>';
					$l2.=  $lvl3 .'</ul>';	
				} else {
					$l1 .= '<li'.$id.'><a href="' . $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=product/category&amp;path=' . $new_path)  . '">' .  $result['name'] . '</a></li>';
				}
			
			$c++;
			}
			
			if ($l1 !='') {
			$ul_cnt ='';
			if ($c > 1) {
			$ul_cnt = ' mm_has'.$c;
			}
			
			$l1 = '<ul class="mm_noparent'.$ul_cnt.'">'.$l1.'</ul>';
			}
			return $l2 . $l1;
		}
	}
	
	private function lvl3 ($parent_id, $path) {
		$id ='';
		$link = '';
		
		$results = $this->model_catalog_category->getCategories($parent_id);
		if ($results) {
		foreach ($results as $result) {
			$new_path = $path ."_". $result['category_id'];
		
		if ($this->add_ids) {
			$id = ' id="mm_s3-'.$result['category_id'].'"';
		}
			$link .= '<li'.$id.'><a href="' . $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=product/category&amp;path=' . $new_path)  . '">' .  $result['name'] . '</a></li>';
		
		}
		return $link;
		} else {
		return false;
		}
	
	
	}
	
	
	}
?>